Debian Bug report logs - #467791
libhash-merge-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libhash-merge-perl; Maintainer for libhash-merge-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libhash-merge-perl is src:libhash-merge-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:19:09 UTC

Severity: important

Tags: patch

Found in version libhash-merge-perl/0.10-2

Fixed in version libhash-merge-perl/0.10-2.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Martin Zobel-Helas <zobel@debian.org>:
Bug#467791; Package libhash-merge-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Zobel-Helas <zobel@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libhash-merge-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:18 +0200
Package: libhash-merge-perl
Version: 0.10-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Zobel-Helas <zobel@debian.org>:
Bug#467791; Package libhash-merge-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Zobel-Helas <zobel@debian.org>. Full text and rfc822 format available.

Message #10 received at 467791@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467791@bugs.debian.org
Subject: libhash-merge-perl: diff for NMU version 0.10-2.1
Date: Sat, 5 Apr 2008 23:05:55 +0100
[Message part 1 (text/plain, inline)]
tags 467791 + patch
thanks

Hi,

Attached is the diff for my libhash-merge-perl 0.10-2.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libhash-merge-perl-0.10-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:06:16 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467791-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467791-close@bugs.debian.org
Subject: Bug#467791: fixed in libhash-merge-perl 0.10-2.1
Date: Sat, 05 Apr 2008 22:17:19 +0000
Source: libhash-merge-perl
Source-Version: 0.10-2.1

We believe that the bug you reported is fixed in the latest version of
libhash-merge-perl, which is due to be installed in the Debian FTP archive:

libhash-merge-perl_0.10-2.1.diff.gz
  to pool/main/libh/libhash-merge-perl/libhash-merge-perl_0.10-2.1.diff.gz
libhash-merge-perl_0.10-2.1.dsc
  to pool/main/libh/libhash-merge-perl/libhash-merge-perl_0.10-2.1.dsc
libhash-merge-perl_0.10-2.1_all.deb
  to pool/main/libh/libhash-merge-perl/libhash-merge-perl_0.10-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libhash-merge-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:08:58 +0100
Source: libhash-merge-perl
Binary: libhash-merge-perl
Architecture: source all
Version: 0.10-2.1
Distribution: unstable
Urgency: low
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libhash-merge-perl - Merges arbitrarily deep hashes into a single hash
Closes: 467791
Changes: 
 libhash-merge-perl (0.10-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467791
Files: 
 f83c8332ba96f032d8cd3449026311f4 662 perl optional libhash-merge-perl_0.10-2.1.dsc
 95560649bfcae464883383953ceebd02 2434 perl optional libhash-merge-perl_0.10-2.1.diff.gz
 c421b389b3d902b7339fb9964ef800b5 13910 perl optional libhash-merge-perl_0.10-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/MENIW6CNDsByMRAl67AJ4hhi12LCHaZhbxUO50BOVkjfsWOQCfUp3J
tAQWUmn1ByRdH2z25E4Yphg=
=dpEf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:55:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:09:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.